// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FPropertyChangedEvent.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FPropertyChangedEvent::SCW_FPropertyChangedEvent(FPropertyChangedEvent* InPropertyChangedEvent) : PropertyChangedEvent(InPropertyChangedEvent)
{

}

FPropertyChangedEvent* SCW_FPropertyChangedEvent::ToFPropertyChangedEvent() const
{
	return PropertyChangedEvent;
}

ISCW_FPropertyChangedEventPtr SCW_FPropertyChangedEvent::ToFPropertyChangedEventPtr()
{
	return GetSharedThisAs<SCW_FPropertyChangedEvent>();
}

ISCW_FPropertyChangedEventConstPtr SCW_FPropertyChangedEvent::ToFPropertyChangedEventPtr() const
{
	return GetSharedThisAs<SCW_FPropertyChangedEvent>();
}